Reply
Highlighted
New Contributor
Posts: 3
Registered: ‎12-08-2014

Hi While upgrading CM from 5.2.0 to 5.2.1 I am getting this error . Any idea?

But I got this error when I was upgrading from 5.2.0 to 5.2.1

[root@l4dridap001 ~]# yum  update  ‘cloudera-*’

Loaded plugins: product-id, rhnplugin, security, subscription-manager

This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.

This system is receiving updates from RHN Classic or RHN Satellite.

cloudera-manager                                                                                                                                                        |  951 B     00:00    

cloudera-manager/primary                                                                                                                                                | 4.2 kB     00:00    

cloudera-manager                                                                                                                                                                           8/8

epel                                                                                                                                                                    | 3.7 kB     00:00    

epel/primary_db                                                                                                                                                         | 3.9 MB     00:00    

rhel-x86_64-server-5                                                                                                                                                    | 1.4 kB     00:00    

rhel-x86_64-server-5/primary                                                                                                                                            | 6.0 MB     00:00    

rhel-x86_64-server-5                                                                                                                                                               16569/16569

Skipping security plugin, no data

Setting up Update Process

Traceback (most recent call last):

  File "/usr/bin/yum", line 29, in ?

  1. user_main(sys.argv[1:], exit_code=True)

  File "/usr/share/yum-cli/yummain.py", line 309, in user_main

    errcode = main(args)

  File "/usr/share/yum-cli/yummain.py", line 178, in main

    result, resultmsgs = base.doCommands()

  File "/usr/share/yum-cli/cli.py", line 349, in doCommands

    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)

  File "/usr/share/yum-cli/yumcommands.py", line 202, in doCommand

    return base.updatePkgs(extcmds, update_to=(basecmd == 'update-to'))

  File "/usr/share/yum-cli/cli.py", line 620, in updatePkgs

    if not self.update(pattern=arg, update_to=update_to):

  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 2915, in update

  1. logger.critical(_('No Match for argument: %s') % arg)

UnicodeDecodeError: 'ascii' codec can't decode byte 0x91 in position 0: ordinal not in range(128)